"duplicates" relation invalidates roadmap percentage

2009-06-14 06:54 - Joe Kelk

Status: New Start date: 2009-06-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Let's say you have 3 issues, one that is closed and two that are open and one of the open issues duplicates the other.

The roadmap will show percentage complete as "33%" but imo it would make more sense for it to show "50%".

Even though the two open issues ARE separate, technically (because of the "duplicates" relation) they are one.

History

#1 - 2009-11-22 23:57 - Mischa The Evil

- Category changed from Issues to Roadmap

Joe Kelk wrote:

Let's say you have 3 issues, one that is closed and two that are open and one of the open issues duplicates the other.

The roadmap will show percentage complete as "33%" but imo it would make more sense for it to show "50%".

Even though the two open issues ARE separate, technically (because of the "duplicates" relation) they are one.

 Redmine currently is not designed to utilize the "duplicates" relation such strong. IMHO any issue which is marked as a duplicate of another issue

should be closed. It's then possible to track back the issue with the relation in the duplicated issue.

See also #2182 and it's relatives for more info.

Certainly this can not be considered as a defect. I'll keep this issue open to let the Redmine Lead decide, but change it to a feature request.

#2 - 2009-11-22 23:58 - Mischa The Evil

- Tracker changed from Defect to Feature
